Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class IPTest

    java.lang.Object
      TestCase
          org.bouncycastle.util.IPTest

    public class IPTest

extends TestCase

Constructor Summary
`IPTest()`

Method Summary
`java.lang.String` | `getName()`
`void` | `testIPv4()`
`void` | `testIPv6()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPTest

    public IPTest()

Method Detail

### getName

    public java.lang.String getName()

### testIPv4

    public void testIPv4()

### testIPv6

    public void testIPv6()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD